import * as AWS from 'aws-sdk';
import { ILogger } from 'typescript-ilogger';
import { ISTSHelper } from './interface';
import { BaseClass } from 'typescript-helper-functions';
/**
 * STS Helper
 */
export declare class STSHelper extends BaseClass implements ISTSHelper {
    /**
     * AWS Repository for STS
     */
    Repository: AWS.STS;
    /**
     * Initializes new instance of STSHelper
     * @param logger {ILogger} Injected logger
     * @param repository {AWS.STS} Injected Repository. A new repository will be created if not supplied
     * @param options {AWS.STS.ClientConfiguration} Injected configuration if a Repository is supplied
     */
    constructor(logger: ILogger, repository?: AWS.STS, options?: AWS.STS.ClientConfiguration);
    /**
     * Assume role in your account or another
     * @param roleArn {string} Role ARN to assume
     */
    AssumeRoleAsync(roleArn: string): Promise<AWS.STS.AssumeRoleResponse>;
}
