"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helper_1 = require("./helper");
const typescript_ilogger_1 = require("typescript-ilogger");
const mock_1 = require("./mock");
const test_values_1 = require("./test-values");
const logger = new typescript_ilogger_1.Logger(typescript_ilogger_1.LogLevel.Off);
const mockerResolves = new mock_1.STSMock(false);
const stsHelperMockResolves = new helper_1.STSHelper(logger, mockerResolves.Mock);
const mockerRejects = new mock_1.STSMock(true);
const stsHelperMockRejects = new helper_1.STSHelper(logger, mockerRejects.Mock);
const TestValues = new test_values_1.TestingValues();
/**
 * Test the AssumeRoleAsync method
 */
describe(`${helper_1.STSHelper.name}.${stsHelperMockResolves.AssumeRoleAsync.name}`, () => {
    // set action for this method
    const action = `${helper_1.STSHelper.name}.${stsHelperMockResolves.AssumeRoleAsync.name}`;
    test(`${TestValues.ThrowsOnEmpty} roleArn`, () => {
        const actual = stsHelperMockResolves.AssumeRoleAsync(TestValues.EmptyString);
        return expect(actual).rejects.toThrow(`[${action}]-${TestValues.MustSupply} roleArn`);
    });
    test(TestValues.InvalidTest, () => {
        const actual = stsHelperMockRejects.AssumeRoleAsync(TestValues.Arn);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
    test(TestValues.ValidTest, () => {
        const actual = stsHelperMockResolves.AssumeRoleAsync(TestValues.Arn);
        return expect(actual).resolves.toEqual(mockerResolves.AssumeRoleResponse);
    });
});
//# sourceMappingURL=helper.spec.js.map